<#macro head title>
<!DOCTYPE html>
<html lang="zh">
<head>
    <meta charset="UTF-8">
    <meta name="keywords" content="${meta_keywords!}"/>
    <meta name="description" content="${meta_description!}" />
    <title>${title}</title>
    <link href="${theme_base!}/source/css/kico.css" rel="stylesheet" type="text/css"/>
    <link href="${theme_base!}/source/css/single.css" rel="stylesheet" type="text/css"/>
    <link href="https://fastly.jsdelivr.net/gh/FortAwesome/Font-Awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <meta name="viewport" content="width=device-width, maximum-scale=1, initial-scale=1"/> 
    <link rel="shortcut icon" type="images/x-icon" href="${theme_base!}/source/images/icon.png" sizes="192x192"/>
    ${blog_logo!}
</head>
<body>
<header>
<div class="head-title">
        <h4>${blog_title!}</h4>
</div>
 <div class="head-action">
        <div class="toggle-btn"></div>
        <div class="light-btn"></div>
        <div class="search-btn"></div>
</div>
<form class="head-search" method="post">
        <input type="text" name="s" placeholder="搜索什么？">
    </form>
<nav class="head-menu">
<@menuTag method="list">
    <#list menus?sort_by('priority') as menu>
            <a href="${menu.url}" target="${menu.target!}">${menu.name} </a>
    </#list>
</@menuTag>
</nav>
<#nested >
</header>
<script src="${theme_base!}/source/js/kico.js"></script>
<script src="${theme_base!}/source/js/single.js"></script>
<script src="${theme_base!}/source/js/prism.js"></script>
<@global.footer />
</body>
</html>
</#macro>

